[HowTo] iOS Version ändern/faken

    Diese Seite verwendet Cookies. Durch die Nutzung unserer Seite erklären Sie sich damit einverstanden, dass wir Cookies setzen. Weitere Informationen

    Seit 2004 hat sich viel getan, der iPod per se ist nicht mehr up-to-date, so wie dieses Forum. Um die Informationen nicht zu verlieren ist das Forum jetzt Read-Only für Gäste, Registrierungen sind aufgrund der hohen Anzahl an Spam-Accounts nichts mehr möglich. Vielen Dank für die schöne Zeit an alle aktiven Nutzer!

    • [HowTo] iOS Version ändern/faken

      Hallo,

      Ihr kennt doch sicher die Situation: Ihr seit auf einer älteren iOS (4.1, 3.1.2, 3.1.3, etc) und wollt euch eine App runterladen, aber, wenn ihr sie kauft, kommt "Für dieses Programm wird die iPhone 4.x.x Softwareaktualisieren benötigt". Super! Was tun? Wer einen JB hat, der wird sicher nicht updaten, da ja alle Daten weg wären! Das wäre nicht schön.

      Hier erkläre ich euch, wie ihr die App bekommt, ohne zu updaten! Aber bitte, nicht für Anfänger!

      ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

      Was ihr benötigt:
      • Einen Jailbreak (JB)
      • Einen SSH-Client oder FTP-Client
      So, nun erkläre ich euch Schritt für Schritt wie das geht:
      1. Greift via FTP-Client/SSH-Client auf die Grundsysteme zu.
      2. Geht in das Verzeichnis: >/System/Library/CoreServices/
      3. Macht jetzt von der Datei "SystemVersion.plist" eine Sicherheitskopie.
      4. Öffnet die SystemVersion.plist mit z.B. Editor.
      5. Nun findet ihr folgendes:
        [quote] <?xml version="1.0" encoding="UTF-8"?>
        <!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
        <plist version="1.0">
        <dict>
        <key>ProductBuildVersion</key>
        <string>8A306</string>
        <key>ProductCopyright</key>
        <string>1983-2011 Apple Inc.</string>
        <key>ProductName</key>
        <string>iPhone OS</string>
        <key>ProductVersion</key>
        <string>4.0.1</string>
        </dict>
        </plist>
        [/quote]
      6. Nun ersetzt die Built Nummer unter "ProductBuildVersion" durch die, der Version die ihr wollt und die unter "ProductVersion" durch die gewollte.
        Wenn ihr fertig seit, dann schaut das z.B. so aus.

        [quote] <?xml version="1.0" encoding="UTF-8"?>
        <!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
        <plist version="1.0">
        <dict>
        <key>ProductBuildVersion</key>
        <string>8C148</string>
        <key>ProductCopyright</key>
        <string>1983-2011 Apple Inc.</string>
        <key>ProductName</key>
        <string>iPhone OS</string>
        <key>ProductVersion</key>
        <string>4.2.1</string>
        </dict>
        </plist> [/quote]
      7. Nun speichert das ab und restartet euer Gerät neu.
      --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

      Nun könnt ihr alle neueren Apps auf älteren Versionen installieren! Das gilt für AppStore Apps und CydiaApps. Aber Achtung! Das heißt nicht, dass alle Apps auch richtig laufen!
      Und noch was: Auch iTunes erkennt euer Gerät dann als solches!
      Hoffe, ich konnte euch helfen.

      Galaxy S3 - 98GB
      iPhone 4 GSM - 16GB

      [img]http://img132.imageshack.us/img132/6258/galaxys3sideview.png[/img]


      MfG

      Dieser Beitrag wurde bereits 6 mal editiert, zuletzt von iWilli ()

    • Das TuT ist kurz gesagt nichts für Anfänger. Und wie du gesagt hast laufen deswegen die Apps nicht (besser).

      Ich würde dies nicht empfehlen!
      1. Es gab auch schon viele Cydia Apps die das gemacht haben. Allerdings wurden sie alle entfernt, weil es eben Nebeneffekte hat, Cydia zum Beispiel will bestimmte Pakete deiinstallieren, weil es denkt du hast eine neuere Firmware.

      2. Dadurch laufen keine Apps (besser) es hat also keinen Vorteil.

      3. Man kann auch einfach upgraden, da jeder der einmal einen JB hatte auch updaten kann, weil Cydia die SHSH automatisch speichert.
      Die größte Freiheit die man haben kann ist die frei vom Kapitalismus zu sein.
    • @Bralor: Dies ist nicht war, mit meiner Aussage ist gemeint, das z.B. die Multitaskingfunktion nicht funktioniert, nicht, das die Apps garnicht funktionieren!

      Bralor schrieb:

      da jeder der einmal einen JB hatte auch updaten kann, weil Cydia die SHSH automatisch speichert.

      ja, aber der JB ist weg (4.1 untethered - 4.2.1 tethered)


      @Alphaboy50: Man kann auch ältere Versionen angeben

      Galaxy S3 - 98GB
      iPhone 4 GSM - 16GB

      [img]http://img132.imageshack.us/img132/6258/galaxys3sideview.png[/img]


      MfG

    • qX|iFisK|Xp schrieb:

      Hättest ja wenigstens die Quelle wo du es her hast angeben können ._.

      Wie wäre es mit z.B. Google? Oder gebt ihr die Quellen für eure JB HowTos an? Und nein, von dort hab ichs nicht!

      qX|iFisK|Xp schrieb:

      Denn selber rausgefunden hast dus bestimmt nicht..

      Warum nicht?

      qX|iFisK|Xp schrieb:

      Oder geht sowas mit deinem Dev Account? o.0

      Kein Grund beleidigend zu werdem -.-

      Galaxy S3 - 98GB
      iPhone 4 GSM - 16GB

      [img]http://img132.imageshack.us/img132/6258/galaxys3sideview.png[/img]


      MfG

    • iWilli schrieb:

      @Bralor: Dies ist nicht war, mit meiner Aussage ist gemeint, das z.B. die Multitaskingfunktion nicht funktioniert, nicht, das die Apps garnicht funktionieren!


      Die Apps haben nicht umsonst diese Anforderungen manche werden nicht laufen.

      iWilli schrieb:

      ja, aber der JB ist weg (4.1 untethered - 4.2.1 tethered)


      Wer sagt denn auf iOs 4.2.1 updaten? Es gibt noch keine Apps die das benötigen. Man kann ja auch einfach auf iOS 4.1 updaten.
      Die größte Freiheit die man haben kann ist die frei vom Kapitalismus zu sein.
    • Bralor schrieb:



      Wer sagt denn auf iOs 4.2.1 updaten? Es gibt noch keine Apps die das benötigen. Man kann ja auch einfach auf iOS 4.1 updaten.

      [img]http://www.aptgetupdate.de/wp-content/uploads/2010/12/2010-12-01-11h21_33_thumb3.png[/img] Von der Quelle

      Galaxy S3 - 98GB
      iPhone 4 GSM - 16GB

      [img]http://img132.imageshack.us/img132/6258/galaxys3sideview.png[/img]


      MfG

    • Benutzer online 1

      1 Besucher